List available models
POST
/api/settings/ai/modelsThe models the endpoint on the form lists.
Needs the ManageSettings permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/api/settings/ai/models" \ -H "Content-Type: application/json" \ -d '{ "provider": null, "endpoint": null, "model": null, "apiKey": null }'{ "models": [ "string" ], "error": null}